%global _hardened_build 1

%define current_version 7.0.25

Summary:        OpenVZ vzvncserver application
Name:		prl-vzvncserver
Version:	%{current_version}
Release:        1%{?dist}
Group:		Applications/System
License:	GPLv2
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	libvncserver >= 0.9.9-12.vl7.1, libvzctl
BuildRequires:	libvncserver-devel >= 0.9.9-12.vl7.1, libvzctl-devel
Obsoletes:	parallels-server-vzvncserver
ExclusiveArch:	x86_64

%description
OpenVZ vncserver application for Containers.

%files
%defattr(755,root,root)
%{_bindir}/prl_vzvncserver_app

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS="$RPM_LD_FLAGS"
%make_build all

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_sbindir}
%make_install

%clean
rm -rf %{buildroot}

%changelog
* Thu Aug 05 2021 Igor Sukhih <igor@virtuozzo.com> 7.0.24
 - Revert "[vz8]: console support #PSBM-130590"

* Fri Jul 02 2021 Igor Sukhih <igor@virtuozzo.com> 7.0.23
 - [vz8]: console support #PSBM-130590
 - Limit VNC ports range #PSBM-63821

* Tue Mar 16 2021 Dmitry Mishin <dim@virtuozzo.com> 7.0.21
 - PSBM-126948 Fixed stucked Ctrl key.

* Mon Jun 25 2018 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.18
 - Rename variables in vz.conf
 - PSBM-82313 - vnc websockets connection timeout Read default timeout values
from global VZ config file
 - PSBM-82313 - vnc websocket connection times out Add two new options to
prl_vzvncserver:        --connect-timeout set websocket connect timeout
--send-timeout   set websocket send timeout

* Fri Dec 22 2017 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.17
 - Ignore IL/DL sequences if cursor is outside of scrolling region #PSBM-77784
(Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Wed Dec 20 2017 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.16
 - Eliminate race on SIGTERM #PSBM-78542 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Mon Jun 19 2017 Inga Pyass <ipyass@virtuozzo.com> 7.0.15
 - Fix init_logger place PSBM-67292

* Thu Jun 15 2017 Inga Pyass <ipyass@virtuozzo.com> 7.0.14
 - Move logging initialization after port message (#PSBM-67292)

* Tue Jun 13 2017 Inga Pyass <ipyass@virtuozzo.com> 7.0.13
 - Add verbose option to enable/disable libVNCServer library functions logging
to stderr PSBM-58100

* Fri May 26 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.12-2
- Enable hardened build, see #PSBM-5810

* Thu Apr 06 2017 Inga Pyass <ipyass@virtuozzo.com> 7.0.12
 - Limit VNC ports range #PSBM-63821 (Igor Sukhih <igor@virtuozzo.com>)

* Wed Mar 15 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.11
 - Update copyrights ( #PSBM-58317 ) (Andrey Bondrov <abondrov@virtuozzo.com>)

* Tue Feb 28 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10
 - Add rebranding macroses, see #PSBM-58317

* Tue Feb 14 2017 Inga Pyass <ipyass@virtuozzo.com> 7.0.9
 - Replace system() call with fork&exec (#PSBM-58101)

* Mon Jan 30 2017 Inga Pyass <ipyass@virtuozzo.com> 7.0.8
 - Add sanity checks for memory allocations (#PSBM-58099)
 - Add copyright holder information (#PSBM-57674)

* Fri Jan 13 2017 Inga Pyass <ipyass@virtuozzo.com> 7.0.7
 - Do not remove lines that are higher than current cursor position + fix sanity
condition
 - BUGFIX PSBM-58281 Add sanity checks for number of inserted/delete lines and
chars
 - BUGFIX PSBM-58281 Make escparams unsigned and add a check for invalid
coordinates in setting scroll region
 - Fix potential escparms[] buffer overflow PSBM-58280
 - Use memmove() instead of memcpy() on overlapping memory areas PSBM-58282
 - Revert "AUTO version bump to 7.0.7"

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.6-2
- Rebuild in 7.3 environment

* Mon Nov 21 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.6
 - Trivial cleanups (Solar Designer <solar@openwall.com>)

* Tue Jul 19 2016 Denis Silakov <dsilakov@virtuozzo.com> 7.0.5-2
 - Obsolete parallels-server-vzvncserver from Vz6 (#PSBM-49624)
 
* Wed Mar 23 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.5
 - Fix 0-sized clipboard-copy on a single click in terminal in
    vzvncserver #PSBM-45341 (Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Fri Mar 18 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.4
 - prl_vzvncserver_app ignores "-l" param value (Maxim Kudrin
<mku@virtuozzo.com>) (#PSBM-38487)

* Sat Oct 24 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.3
 - Enhance vzvncserver to use UUIDs together with CTIDs (#PSBM-34267)

* Thu Jun 18 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.2
 - Initial commit

